Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sf.jasperreports.engine.xml
Class JRExpressionFactory

    java.lang.Object
      net.sf.jasperreports.engine.xml.JRExpressionFactory

    public class JRExpressionFactory

extends java.lang.Object

Version:
  $Id: JRExpressionFactory.java 3616 2010-03-24 14:20:41Z teodord $
Author:
  Teodor Danciu (teodord@users.sourceforge.net)

Nested Class Summary
`static class` | `JRExpressionFactory.ArbitraryExpressionFactory` A `JRExpressionFactory` that uses an attribute named `class` to determine the expression value class.
`static class` | `JRExpressionFactory.BooleanExpressionFactory`
`static class` | `JRExpressionFactory.ComparableExpressionFactory`
`static class` | `JRExpressionFactory.ComparatorExpressionFactory`
`static class` | `JRExpressionFactory.ConnectionExpressionFactory`
`static class` | `JRExpressionFactory.DataSourceExpressionFactory`
`static class` | `JRExpressionFactory.DateExpressionFactory`
`static class` | `JRExpressionFactory.DoubleExpressionFactory`
`static class` | `JRExpressionFactory.IntegerExpressionFactory`
`static class` | `JRExpressionFactory.MapExpressionFactory`
`static class` | `JRExpressionFactory.NumberExpressionFactory`
`static class` | `JRExpressionFactory.ObjectExpressionFactory`
`static class` | `JRExpressionFactory.StringExpressionFactory`

Constructor Summary
`JRExpressionFactory()`

Method Summary

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JRExpressionFactory

    public JRExpressionFactory()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com